# Class Dom2Sax

java.lang.Object
nu.validator.htmlparser.dom.Dom2Sax

public class Dom2Sax extends Object

## Constructor Summary

Constructors
Constructor
Description
`Dom2Sax(ContentHandler contentHandler, LexicalHandler lexicalHandler)`

## Method Summary

Modifier and Type
Method
Description
`void`
`parse(Node node)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Dom2Sax

public Dom2Sax(ContentHandler contentHandler, LexicalHandler lexicalHandler)

Parameters:
  `contentHandler` -
  `lexicalHandler` -

## Method Details

### parse

public void parse(Node node) throws SAXException

Throws:
  `SAXException`